org.apache.ignite.internal.processors.rest.client.message

## Class GridClientHandshakeResponse

- java.lang.Object
- - org.apache.ignite.internal.processors.rest.client.message.GridClientAbstractMessage
  - - org.apache.ignite.internal.processors.rest.client.message.GridClientHandshakeResponse

All Implemented Interfaces:
  Externalizable, Serializable, GridClientMessage

    public class GridClientHandshakeResponse
    extends GridClientAbstractMessage

A client handshake response, containing result code.

See Also:
  Serialized Form

### Field Summary

Fields
`static byte` `CODE_OK`
`static GridClientHandshakeResponse` `OK` Response, indicating successful handshake.

### Constructor Summary

Constructors
Constructor and Description
`GridClientHandshakeResponse()` Constructor for `Externalizable`.
`GridClientHandshakeResponse(byte resCode)` Constructor.

### Method Summary

Methods
`byte` `resultCode()`
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.processors.rest.client.message.GridClientAbstractMessage

`clientId, clientId, destinationId, destinationId, readExternal, requestId, requestId, sessionToken, sessionToken, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### CODE_OK

    public static final byte CODE_OK

See Also:
  Constant Field Values

#### OK

    public static final GridClientHandshakeResponse OK

Response, indicating successful handshake.

### Constructor Detail

#### GridClientHandshakeResponse

    public GridClientHandshakeResponse()

Constructor for `Externalizable`.

#### GridClientHandshakeResponse

    public GridClientHandshakeResponse(byte resCode)

Constructor.

Parameters:
  `resCode` - Result code.

### Method Detail

#### resultCode

    public byte resultCode()

Returns:
  Result code.

#### toString

    public String toString()

Overrides:
  `toString` in class `GridClientAbstractMessage`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.3.0-incubating
Release Date | : July 10 2015